Generic PDF objects
-------------------

.. automodule:: pypdf.generic
    :members:
    :undoc-members:
    :show-inheritance:
    :exclude-members: Destination, Field, Fit, RectangleObject

.. autoclass:: pypdf._protocols.PdfObjectProtocol
    :members:
    :undoc-members:
    :show-inheritance:


.. autoclass:: pypdf._protocols.PdfReaderProtocol
    :members:
    :undoc-members:
    :show-inheritance:


.. autoclass:: pypdf._protocols.PdfWriterProtocol
    :members:
    :undoc-members:
    :show-inheritance:
